#include "stm32f10x.h"
#include "chipid.h"
#include "usart1.h"

extern uint32_t ChipUniqueID[3];
int main(void)
{	
	/* USART1 config 115200 8-N-1 */
	USART1_Config();

	/* to get the chipid and put it in ChipUniqueID[3] */
	Get_ChipID();	
	
	/* printf the chipid */
	printf("\r\nChip ID: %X-%X-%X\r\n",
	        ChipUniqueID[0],ChipUniqueID[1],ChipUniqueID[2]);
	
	/* printf the flash memory amount */
	printf("\r\nFlash: %dK \r\n", *(__IO u16 *)(0X1FFFF7E0));

	for(;;)
	{
		
	}
}
