#include "stm32f10x.h"
#include "usart1.h"
#include "crc.h" 

extern __IO uint32_t CRCValue;
int main(void)
{
	uint8_t i = 0;
		
	/* USART1 config 115200 8-N-1 */
	USART1_Config();
	
	CRC_Config();
	
	printf("\r\n CRC \r\n");
	
	/* Compute the CRC of "DataBuffer" */
	for(i=0; i<BUFFER_SIZE; i++ ) 
	{
		CRCValue = CRC_CalcBlockCRC((uint32_t *)DataBuffer, BUFFER_SIZE);
		printf("\r\n32-bit CRC :0X%X\r\n", CRCValue);
	}

	for(;;)
	{
		
	}
}
