#include "stm32f10x.h"
#include "usart1.h"
#include "tempad.h"

extern __IO u16 ADC_ConvertedValue;


 u16 Current_Temp;	 

 
void Delay(__IO u32 nCount)
{
  for(; nCount != 0; nCount--);
} 

int main(void)
{  
		 
 /* USART1 config 115200 8-N-1 */
  	USART1_Config();

	Temp_ADC1_Init();

	printf( "\r\n Print current Temperature  \r\n");	

  while (1)
  { 

	Delay(0xffffee);      
	
	Current_Temp=(V25-ADC_ConvertedValue)/AVG_SLOPE+25;	

	printf("\r\n The current temperature= %3d \r\n", Current_Temp);	      
 	 
  }
}
