#include "stm32f10x.h"
#include "led.h" 
#include "Time_test.h"

volatile u32 time; // ms


int main(void)
{
	/* 72M */  
	SystemInit();

	/* led */ 
	LED_GPIO_Config();

	/* TIM2 */
	TIM2_NVIC_Configuration();
  TIM2_Configuration();

	/* TIM2 */
	START_TIME;
	
  while(1)
  {
    if ( time == 1000 ) /* 1s */
    {
      time = 0;
			/* LED1 */      
			GPIO_WriteBit(GPIOB, GPIO_Pin_8, 
		               (BitAction)((1-GPIO_ReadOutputDataBit(GPIOB, GPIO_Pin_8)))); 
    }        
  }
}
